org.richfaces.component.html

## Class HtmlInputNumberSpinner

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIInputNumber
          - - org.richfaces.component.AbstractInputNumberSpinner
            - - org.richfaces.component.html.HtmlInputNumberSpinner

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AccesskeyProps, CoreProps, DisabledProps, EventsKeyProps, EventsMouseProps, FocusProps, I18nProps, InputProps

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class HtmlInputNumberSpinner
      extends AbstractInputNumberSpinner
      implements javax.faces.component.behavior.ClientBehaviorHolder, AccesskeyProps, CoreProps, EventsKeyProps, EventsMouseProps, FocusProps, I18nProps, InputProps

  The &lt;r:inputNumberSpinner&gt; component is a single-line input field with buttons to increase and decrease a numerical value. The value can be changed using the corresponding directional keys on a keyboard, or by typing into the field.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `HtmlInputNumberSpinner.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlInputNumberSpinner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccesskey()` Access key that, when pressed, transfers focus to this element.
    `String` | `getDefaultEventName()`
    `String` | `getDir()` Direction indication for text that does not inherit directionality.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getInputClass()` Assigns one or more space-separated CSS class names to the component input field
    `InputNumberSliderInputPosition` | `getInputPosition()` If "right", the InputText Box would be rendered on the right side of the ruler.
    `int` | `getInputSize()` Attribute specifies the initial length of input in characters.
    `String` | `getLabel()` A localized user presentable name for this component.
    `String` | `getLang()` Code describing the language used in the generated markup for this component.
    `String` | `getMaxValue()` Attribute to set an "end" value.
    `String` | `getMinValue()` Attribute to set the "start" value.
    `String` | `getOnblur()` Javascript code executed when this element loses focus.
    `String` | `getOnchange()` Javascript code executed when this element loses focus and its value has been modified since gaining focus.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOndownclick()` The client-side script method to be called when the 'Down' button is clicked
    `String` | `getOnfocus()` Javascript code executed when this element receives focus.
    `String` | `getOninputclick()` The client-side script method to be called when the component input field is clicked
    `String` | `getOninputdblclick()` The client-side script method to be called when the component input field is double-clicked
    `String` | `getOninputkeydown()` The client-side script method to be called when a key is pressed down in the input field
    `String` | `getOninputkeypress()` The client-side script method to be called when a key is pressed and released in the input field
    `String` | `getOninputkeyup()` The client-side script method to be called when a key is released in the input field
    `String` | `getOninputmousedown()` The client-side script method to be called when a mouse button is pressed down in the input field
    `String` | `getOninputmousemove()` The client-side script method to be called when a pointer is moved within the input field
    `String` | `getOninputmouseout()` The client-side script method to be called when a pointer is moved away from the input field
    `String` | `getOninputmouseover()` The client-side script method to be called when a pointer is moved onto the input field
    `String` | `getOninputmouseup()` The client-side script method to be called when a mouse button is released
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getOnselect()` Javascript code executed when text within this element is selected by the user.
    `String` | `getOnupclick()` The client-side script method to be called when the 'Up' button is clicked
    `String` | `getStep()` Parameter that determines the step between nearest values while using controls.
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTabindex()` Position of this element in the tabbing order for the current document.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `boolean` | `isCycled()` If "true" after the current value reaches the border value it is reversed to another border value after next increasing/decreasing.
    `boolean` | `isDisabled()` Flag indicating that this element must never receive focus or be included in a subsequent submit.
    `boolean` | `isEnableManualInput()` If set to "false" this attribute makes the text field "read-only", so the value can be changed only from a handle.
    `boolean` | `isReadonly()` Flag indicating that this component will prohibit changes by the user.
    `void` | `setAccesskey(String accesskey)`
    `void` | `setCycled(boolean cycled)`
    `void` | `setDir(String dir)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setEnableManualInput(boolean enableManualInput)`
    `void` | `setInputClass(String inputClass)`
    `void` | `setInputPosition(InputNumberSliderInputPosition inputPosition)`
    `void` | `setInputSize(int inputSize)`
    `void` | `setLabel(String label)`
    `void` | `setLang(String lang)`
    `void` | `setMaxValue(String maxValue)`
    `void` | `setMinValue(String minValue)`
    `void` | `setOnblur(String onblur)`
    `void` | `setOnchange(String onchange)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOndownclick(String ondownclick)`
    `void` | `setOnfocus(String onfocus)`
    `void` | `setOninputclick(String oninputclick)`
    `void` | `setOninputdblclick(String oninputdblclick)`
    `void` | `setOninputkeydown(String oninputkeydown)`
    `void` | `setOninputkeypress(String oninputkeypress)`
    `void` | `setOninputkeyup(String oninputkeyup)`
    `void` | `setOninputmousedown(String oninputmousedown)`
    `void` | `setOninputmousemove(String oninputmousemove)`
    `void` | `setOninputmouseout(String oninputmouseout)`
    `void` | `setOninputmouseover(String oninputmouseover)`
    `void` | `setOninputmouseup(String oninputmouseup)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnselect(String onselect)`
    `void` | `setOnupclick(String onupclick)`
    `void` | `setReadonly(boolean readonly)`
    `void` | `setStep(String step)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTabindex(String tabindex)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.richfaces.component.UIInputNumber

      `validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, broadcast, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlInputNumberSpinner

          public HtmlInputNumberSpinner()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getAccesskey

          public String getAccesskey()

      Description copied from interface: `AccesskeyProps`
      Access key that, when pressed, transfers focus to this element.
      Specified by:
        `getAccesskey` in interface `AccesskeyProps`

    - #### setAccesskey

          public void setAccesskey(String accesskey)

    - #### isCycled

          public boolean isCycled()

      Description copied from class: `AbstractInputNumberSpinner`
      If "true" after the current value reaches the border value it is reversed to another border value after next increasing/decreasing. In other case possibilities of next increasing (or decreasing) will be locked.
      Default value is " true ".
      Specified by:
        `isCycled` in class `AbstractInputNumberSpinner`

    - #### setCycled

          public void setCycled(boolean cycled)

    - #### getDir

          public String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### setDir

          public void setDir(String dir)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from interface: `DisabledProps`
      Flag indicating that this element must never receive focus or be included in a subsequent submit.
      Specified by:
        `isDisabled` in interface `DisabledProps`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### isEnableManualInput

          public boolean isEnableManualInput()

      Description copied from class: `AbstractInputNumberSpinner`
      If set to "false" this attribute makes the text field "read-only", so the value can be changed only from a handle. <br />Default value is "true".
      Specified by:
        `isEnableManualInput` in class `AbstractInputNumberSpinner`

    - #### setEnableManualInput

          public void setEnableManualInput(boolean enableManualInput)

    - #### getInputClass

          public String getInputClass()

      Description copied from class: `AbstractInputNumberSpinner`
      Assigns one or more space-separated CSS class names to the component input field
      Specified by:
        `getInputClass` in class `AbstractInputNumberSpinner`

    - #### setInputClass

          public void setInputClass(String inputClass)

    - #### getInputPosition

          public InputNumberSliderInputPosition getInputPosition()

      Description copied from class: `AbstractInputNumberSpinner`
      If "right", the InputText Box would be rendered on the right side of the ruler. If "left", the InputText Box would be rendered on the left side of the ruler. If "top", the InputText Box would be rendered on the top of the ruler. If "bottom", the InputText Box would be rendered on the bottom of the ruler.
      Specified by:
        `getInputPosition` in class `AbstractInputNumberSpinner`

    - #### setInputPosition

          public void setInputPosition(InputNumberSliderInputPosition inputPosition)

    - #### getInputSize

          public int getInputSize()

      Description copied from class: `AbstractInputNumberSpinner`
      Attribute specifies the initial length of input in characters.
      Default value is "10".
      Specified by:
        `getInputSize` in class `AbstractInputNumberSpinner`

    - #### setInputSize

          public void setInputSize(int inputSize)

    - #### getLabel

          public String getLabel()

      Description copied from interface: `InputProps`
      A localized user presentable name for this component.
      Specified by:
        `getLabel` in interface `InputProps`

    - #### setLabel

          public void setLabel(String label)

    - #### getLang

          public String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

    - #### setLang

          public void setLang(String lang)

    - #### getMaxValue

          public String getMaxValue()

      Description copied from class: `AbstractInputNumberSpinner`
      Attribute to set an "end" value.
      Default value is "100"
      Specified by:
        `getMaxValue` in class `AbstractInputNumberSpinner`

    - #### setMaxValue

          public void setMaxValue(String maxValue)

    - #### getMinValue

          public String getMinValue()

      Description copied from class: `AbstractInputNumberSpinner`
      Attribute to set the "start" value.
      Default value is "0"
      Specified by:
        `getMinValue` in class `AbstractInputNumberSpinner`

    - #### setMinValue

          public void setMinValue(String minValue)

    - #### getOnblur

          public String getOnblur()

      Description copied from interface: `FocusProps`
      Javascript code executed when this element loses focus.
      Specified by:
        `getOnblur` in interface `FocusProps`

    - #### setOnblur

          public void setOnblur(String onblur)

    - #### getOnchange

          public String getOnchange()

      Description copied from interface: `InputProps`
      Javascript code executed when this element loses focus and its value has been modified since gaining focus.
      Specified by:
        `getOnchange` in interface `InputProps`

    - #### setOnchange

          public void setOnchange(String onchange)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOndownclick

          public String getOndownclick()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when the 'Down' button is clicked
      Specified by:
        `getOndownclick` in class `AbstractInputNumberSpinner`

    - #### setOndownclick

          public void setOndownclick(String ondownclick)

    - #### getOnfocus

          public String getOnfocus()

      Description copied from interface: `FocusProps`
      Javascript code executed when this element receives focus.
      Specified by:
        `getOnfocus` in interface `FocusProps`

    - #### setOnfocus

          public void setOnfocus(String onfocus)

    - #### getOninputclick

          public String getOninputclick()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when the component input field is clicked
      Specified by:
        `getOninputclick` in class `AbstractInputNumberSpinner`

    - #### setOninputclick

          public void setOninputclick(String oninputclick)

    - #### getOninputdblclick

          public String getOninputdblclick()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when the component input field is double-clicked
      Specified by:
        `getOninputdblclick` in class `AbstractInputNumberSpinner`

    - #### setOninputdblclick

          public void setOninputdblclick(String oninputdblclick)

    - #### getOninputkeydown

          public String getOninputkeydown()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when a key is pressed down in the input field
      Specified by:
        `getOninputkeydown` in class `AbstractInputNumberSpinner`

    - #### setOninputkeydown

          public void setOninputkeydown(String oninputkeydown)

    - #### getOninputkeypress

          public String getOninputkeypress()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when a key is pressed and released in the input field
      Specified by:
        `getOninputkeypress` in class `AbstractInputNumberSpinner`

    - #### setOninputkeypress

          public void setOninputkeypress(String oninputkeypress)

    - #### getOninputkeyup

          public String getOninputkeyup()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when a key is released in the input field
      Specified by:
        `getOninputkeyup` in class `AbstractInputNumberSpinner`

    - #### setOninputkeyup

          public void setOninputkeyup(String oninputkeyup)

    - #### getOninputmousedown

          public String getOninputmousedown()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when a mouse button is pressed down in the input field
      Specified by:
        `getOninputmousedown` in class `AbstractInputNumberSpinner`

    - #### setOninputmousedown

          public void setOninputmousedown(String oninputmousedown)

    - #### getOninputmousemove

          public String getOninputmousemove()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when a pointer is moved within the input field
      Specified by:
        `getOninputmousemove` in class `AbstractInputNumberSpinner`

    - #### setOninputmousemove

          public void setOninputmousemove(String oninputmousemove)

    - #### getOninputmouseout

          public String getOninputmouseout()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when a pointer is moved away from the input field
      Specified by:
        `getOninputmouseout` in class `AbstractInputNumberSpinner`

    - #### setOninputmouseout

          public void setOninputmouseout(String oninputmouseout)

    - #### getOninputmouseover

          public String getOninputmouseover()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when a pointer is moved onto the input field
      Specified by:
        `getOninputmouseover` in class `AbstractInputNumberSpinner`

    - #### setOninputmouseover

          public void setOninputmouseover(String oninputmouseover)

    - #### getOninputmouseup

          public String getOninputmouseup()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when a mouse button is released
      Specified by:
        `getOninputmouseup` in class `AbstractInputNumberSpinner`

    - #### setOninputmouseup

          public void setOninputmouseup(String oninputmouseup)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnselect

          public String getOnselect()

      Description copied from interface: `InputProps`
      Javascript code executed when text within this element is selected by the user.
      Specified by:
        `getOnselect` in interface `InputProps`

    - #### setOnselect

          public void setOnselect(String onselect)

    - #### getOnupclick

          public String getOnupclick()

      Description copied from class: `AbstractInputNumberSpinner`
      The client-side script method to be called when the 'Up' button is clicked
      Specified by:
        `getOnupclick` in class `AbstractInputNumberSpinner`

    - #### setOnupclick

          public void setOnupclick(String onupclick)

    - #### isReadonly

          public boolean isReadonly()

      Description copied from interface: `InputProps`
      Flag indicating that this component will prohibit changes by the user. The element may receive focus unless it has also been disabled. A value of false causes no attribute to be rendered, while a value of true causes the attribute to be rendered as readonly="readonly".
      Specified by:
        `isReadonly` in interface `InputProps`
      Specified by:
        `isReadonly` in class `AbstractInputNumberSpinner`

    - #### setReadonly

          public void setReadonly(boolean readonly)

    - #### getStep

          public String getStep()

      Description copied from class: `AbstractInputNumberSpinner`
      Parameter that determines the step between nearest values while using controls.
      Default value is "1"
      Specified by:
        `getStep` in class `AbstractInputNumberSpinner`

    - #### setStep

          public void setStep(String step)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTabindex

          public String getTabindex()

      Description copied from interface: `FocusProps`
      Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.
      Specified by:
        `getTabindex` in interface `FocusProps`

    - #### setTabindex

          public void setTabindex(String tabindex)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.